summaryrefslogtreecommitdiffstats
path: root/graphics/zbar
diff options
context:
space:
mode:
author Andrew Tkalia <anddt@yandex.ru>2013-02-24 00:22:04 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-02-24 10:23:08 -0600
commit75743a4cbad3ac45d2faf8da3855f57f33145a5d (patch)
tree1a46b6350fa5d01a9b59a1145ef8316b9e1763aa /graphics/zbar
parent5bdd556f03e3e9aabf6fe66f579c30f773be2bda (diff)
downloadslackbuilds-75743a4cbad3ac45d2faf8da3855f57f33145a5d.tar.gz
slackbuilds-75743a4cbad3ac45d2faf8da3855f57f33145a5d.tar.xz
graphics/zbar: Added (bar code reader)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics/zbar')
-rw-r--r--graphics/zbar/README11
-rw-r--r--graphics/zbar/slack-desc19
-rw-r--r--graphics/zbar/zbar.SlackBuild111
-rw-r--r--graphics/zbar/zbar.info10
4 files changed, 151 insertions, 0 deletions
diff --git a/graphics/zbar/README b/graphics/zbar/README
new file mode 100644
index 0000000000..f898f1ecf9
--- /dev/null
+++ b/graphics/zbar/README
@@ -0,0 +1,11 @@
+ZBar Bar Code Reader is an open source software suite for reading bar
+codes from various sources, such as video streams, image files, and raw
+intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code 128,
+Code 39, Interleaved 2 of 5, and QR Code. Included with the library
+are basic applications for decoding captured bar code images and using
+a video device (e.g. webcam) as a bar code scanner. For application
+developers, language bindings are included for C, C++, Python, and Perl,
+as well as GUI widgets for Qt, GTK, and PyGTK.
+
+If you want to enable reading from video stream, pass VIDEO=yes to the
+build script when executing it.
diff --git a/graphics/zbar/slack-desc b/graphics/zbar/slack-desc
new file mode 100644
index 0000000000..96a9705448
--- /dev/null
+++ b/graphics/zbar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zbar: zbar (bar code reader)
+zbar:
+zbar: ZBar Bar Code Reader is an open source software suite for reading bar
+zbar: codes from various sources, such as video streams, image files and
+zbar: raw intensity sensors. It supports EAN-13/UPC-A, UPC-E, EAN-8, Code
+zbar: 128, Code 39, Interleaved 2 of 5 and QR Code. Included with the
+zbar: library are basic applications for decoding captured bar code images
+zbar: and using a video device (eg, webcam) as a bar code scanner. For
+zbar: application developers, language bindings are included for C, C++,
+zbar: Python and Perl as well as GUI widgets for Qt, GTK and PyGTK.
+zbar:
diff --git a/graphics/zbar/zbar.SlackBuild b/graphics/zbar/zbar.SlackBuild
new file mode 100644
index 0000000000..781d84935b
--- /dev/null
+++ b/graphics/zbar/zbar.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for zbar
+
+# Copyright 2013 Andrew Tkalia Ukraine, Kyiv
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=zbar
+VERSION=${VERSION:-0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "${VIDEO:-no}" = "no" ]; then
+ video_opt="--disable-video"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-gnu-ld \
+ --build=$ARCH-slackware-linux \
+ $video_opt
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog NEWS HACKING README INSTALL LICENSE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/zbar/zbar.info b/graphics/zbar/zbar.info
new file mode 100644
index 0000000000..21861c484d
--- /dev/null
+++ b/graphics/zbar/zbar.info
@@ -0,0 +1,10 @@
+PRGNAM="zbar"
+VERSION="0.10"
+HOMEPAGE="http://sourceforge.net/projects/zbar/"
+DOWNLOAD="http://downloads.sourceforge.net/zbar/zbar-0.10.tar.bz2"
+MD5SUM="0fd61eb590ac1bab62a77913c8b086a5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@yandex.ru"